//An example to compare the different Numerical integration methods with the intg function of Scilab. 
//In the module we have provided functions for three different rules:
//
//1. Simpson's 1/3rd Rule - simpson(a,b,n,f)
//2. Simpson's 3/8th Rule - simpson2(a,b,n,f)
//3. Trapezoidal Rule - trapez(a,b,n,f)
//
//
//NOTE: all the functions  contain the same parameters:
// a:lower limit
// b:upper limit
// n:no. of sub-intervals(basically the higher the n the better the result.)
//
//
//Let's say I want to integrate f(x)=x*x from 0 to 5.
deff('a=f(x)','a=x*x');
integral_simpson13=simpson(0,5,600,f);//finding the integral using simpson 1/3rd(NOTE:The third parameter 'n' must be even for simpson 1/3 rule)
integral_simpson38=simpson2(0,5,600,f);//finding the integral using simpson 1/3rd(NOTE:The third parameter 'n' must be a multiple of 3 for simpson 3/8 rule)
integral_trapez=trapez(0,5,600,f);//finding the integral using trapezoidal rule)
integral_scilab=intg(0,5,f);//finding the integral using Scilab's own function
disp(integral_simpson13,"The integral using simpson 1/3rd");
disp(integral_simpson38,"");
disp(integral_trapez,"");
disp(integral_scilab,"");
